*{
    font-family: Helvetica, Arial, sans-serif;
    color: black;
}

body{
    padding: 5px;
}

p, p *{
    font-family: monospace;
}
.header {
    display: table;
    padding: 15px;
    max-width: 800px;
}
.header > *{
    display: table-cell;
}

.header .title{
    padding: 0 50px 0 0;
    white-space: nowrap;
    text-decoration: overline;
}

canvas{
}

.file-selector{
    max-width: 800px;
    padding: 15px;
}
.file-selector form{
    margin: 0;
    padding: 15px;
    border: 1px dashed black;
}
.file-selector form:hover{
    margin: 0;
    padding: 15px;
    border: 1px solid;
}
form *{
    display: block;
}
.progress{
    width: 100%;
    transition: all 1s linear;
    overflow: hidden;
}
.progress.done{
    transition: all 1s linear;
    height: 0;
}
.progress > *{
    background-color: black;
    height: 5px;
    margin: 5px 0;
    transition: width 200ms linear;
}